summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorOnni Lampi <contact@onnilampi.fi>2016-11-05 20:53:50 +0200
committerOnni Lampi <contact@onnilampi.fi>2016-11-05 20:53:50 +0200
commit2b46ffa3ac70e6a24e223a39432a65f4ee4a3ae0 (patch)
treef8e977ee22f47ec67e865176e1adbaf0bedf6690
parent3f65a99fc659388044cd34d4dcefe6a30e935b62 (diff)
Add setup.sh
-rwxr-xr-xsetup.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/setup.sh b/setup.sh
new file mode 100755
index 0000000..22d862a
--- /dev/null
+++ b/setup.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+besure(){
+ read -n1 -rsp $'Press any key to continue.\nQuit with CTRL+C\n'
+ }
+
+
+ clear
+
+ [ $UID -eq 0 ] && echo "Do not run this with sudo." && exit 1
+
+ echo "Things to install:"
+ echo " * texlive"
+ echo " * make"
+ echo " * tree"
+ echo ""
+ besure
+
+ clear
+
+ sudo apt-get install texlive texlive-latex-recommended texlive-latex-extra texlive-lang-european make tree
+ echo ""
+ echo ""
+ echo ""
+ echo ""
+
+
+
+ besure
+
+ clear
+
+ make
+
+ clear
+
+ tree -l
+ echo "All done."
+